%global enable_tests 0

Name:       nodejs-send
Version:    0.1.0
Release:    3%{?dist}
Summary:    Better streaming static file server with Range and conditional-GET support
# License text is included in Readme.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/send
Source0:    http://registry.npmjs.org/send/-/send-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(debug)
BuildRequires:  npm(fresh)
BuildRequires:  npm(mime)
BuildRequires:  npm(mocha)
BuildRequires:  npm(range-parser)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
%endif

%description
Send is Connect's static() extracted for generalized use, a streaming static
file server supporting partial responses (Ranges), conditional-GET
negotiation, high test coverage, and granular events which may be leveraged
to take appropriate actions in your application or framework.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep mime '~1.2.6'
%nodejs_fixdep fresh '~0.1.0'
%nodejs_fixdep range-parser '~0.0.4'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/send
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/send

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
cp -pr %{nodejs_sitelib} .
%{nodejs_sitelib}/mocha/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/send


%changelog
* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-3
- download tests from upstream separately
- fix %%check
- add necessary BuildRequires for the tests in %%check

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-2
- make use of %%nodejs_fixdep

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
